Class Index | File Index

## Classes

- _global_
- fec
- fec.base
- fec.config
- fec.cookies
- fec.errorCode
- fec.errorConfig
- fec.form
- fec.msg
- fec.util
- fec.valuesFactory
- FecMain
- FecPageControl

# Built-In Namespace _global_

Field Summary
Field Attributes | Field Name and Description
--- | ---
| ajaxRequestUrl URL to the server for ajax request
| completed list of completed scopes
| data holds the data object from the response
| e Variable for an exception
| fecSetterValue Holds the data that can be used by special DOM-setter (hook jsSetterPrefix)
| gotoPageUrls Mapping of URLs to Ids
| isFormValid flag for JS-form-validation
| pc Represents the pageControl object
| staticOn experimental: if true you can develop html without a server
| staticResponseUrl experimental for staticOn
| submitButtons holds the initial state of all form-buttons

Method Summary
Method Attributes | Method Name and Description
--- | ---
| checkForm() Checks the form and sets Variable isFormValid
| disableForm(bol) Disable the form.
| disableSubmitButtons(bol) Disable the submit buttons.
| errorAdd(err, errtxt) Adds an error.
| fecHookCheckFormScopename() An example for a form-validation function, that will be called automatically.
| fecHookSetDataValuekey() An example for a special data-value setter.
| getAjaxData(url) Creates an Ajax-request to a given url and returns the received data.
| getAjaxRequestUrl(type) Returns the configured server url
| getControl(control)
| getErrorObject(err, errtxt) Resolves the error configuration.
| getGotoPage()
| getGotoUrl(gotoid) Server can return urls or ids.
| getPageId()
| getParameter()
| getReferer() Get the referer, and use experimental staticOn flag
| getRequestBody(type, scope) Get the data for the server request.
| getRequestBodyParams(type) Get additional parameters for the server request to control the server.
| getRequestData(type)
| getScopes()
| getServerData(scope) Creates an Ajax-request to the server, depending on fecPagecontrol values.
| getUriControlParams()
| getVspDataFormElements()
| initErrorBox(errCss, clear) Inits the error layout.
| initErrorList() Inits the error output.
| initialize(pcString) Parses the pageControl variable.
| isValueInArray(arr, value) Validate if an object is an array and if it contains a given value
| processErrorConfig() Parse a special error baheviour, given by the pageControl.
| processResponse(type, response) Processes the response from the server
| processResponseError(vspData)
| processResponseTimes(vspData)
| replaceWerteInDOM(data)
| scrollToBottom() Scroll to bottom if possible.
| scrollToTop() Scroll to top if possible.
| sendServerData() Creates an Ajax-request to the server, depending on fecPagecontrol values.
| serializeElements(elements, options)
| setControl(control, value)
| setElementValue(element, newValue)
| setGotoPage(gotoPage)
| setParameter(key, value) Additional parameters to control the server (through request).
| setParamsLoad(val) Set special parameter for a load request
| showContainer() If a container element is in the page, toggle visibility.
| showScope(scope, show)
| showSpinner(scopes, show)

Field Detail
ajaxRequestUrl
URL to the server for ajax request
Defined in: yaf4ajn.js.

completed
list of completed scopes
Defined in: yaf4ajn.js.

data
holds the data object from the response
Defined in: yaf4ajn.js.

{object} e
Variable for an exception
Defined in: yaf4ajn.js.

Default Value:
  undefined

{object} fecSetterValue
Holds the data that can be used by special DOM-setter (hook jsSetterPrefix)
Defined in: yaf4ajn.js.

See:
  fec.config.jsSetterPrefix

Default Value:
  undefined

gotoPageUrls
Mapping of URLs to Ids
Defined in: yaf4ajn.js.

isFormValid
flag for JS-form-validation
Defined in: yaf4ajn.js.

{object} pc
Represents the pageControl object
Defined in: yaf4ajn.js.

Default Value:
  false

staticOn
experimental: if true you can develop html without a server
Defined in: yaf4ajn.js.

staticResponseUrl
experimental for staticOn
Defined in: yaf4ajn.js.

submitButtons
holds the initial state of all form-buttons
Defined in: yaf4ajn.js.
Method Detail
{boolean} checkForm()
Checks the form and sets Variable isFormValid
Defined in: yaf4ajn.js.

Returns:
  {boolean} Form valid or not

disableForm(bol)
Disable the form.
Defined in: yaf4ajn.js.

Parameters:
{boolean} bol
  - disable or not

disableSubmitButtons(bol)
Disable the submit buttons.
Defined in: yaf4ajn.js.

Parameters:
{boolean} bol
  - disable or not

errorAdd(err, errtxt)
Adds an error.
Defined in: yaf4ajn.js.

Parameters:
{object} err
  - error object
{string} errtxt
  - a special errortext, that overrides the default

fecHookCheckFormScopename()
An example for a form-validation function, that will be called automatically. "Scopename" must be the same as the page-scope-name, therefore you can have only one check-funktion for every scope you use
Defined in: yaf4ajn.js.

    fecHookCheckFormScopename

fecHookSetDataValuekey()
An example for a special data-value setter. Default behaviour is replacing a data value (from the server) with the the corresponding element-id. But if this is not enough you can implement special setters. Valuekey is the data-key.
Defined in: yaf4ajn.js.

    fecHookSetDataValuekey

{object} getAjaxData(url)
Creates an Ajax-request to a given url and returns the received data.
Defined in: yaf4ajn.js.

Parameters:
{string} url
  - Serverurl or a file-url (e.G. ../data.txt)

Returns:
  {object} received data object

getAjaxRequestUrl(type)
Returns the configured server url
Defined in: yaf4ajn.js.

Parameters:
{string} type
  - load or send

{object} getControl(control)
Defined in: yaf4ajn.js.

Parameters:
control

Returns:
  {object} Value for the given control-key.

getErrorObject(err, errtxt)
Resolves the error configuration.
Defined in: yaf4ajn.js.

Parameters:
{object} err
  - error object
{string} errtxt
  - a special errortext, that overrides the default

{string} getGotoPage()
Defined in: yaf4ajn.js.

Returns:
  {string} URL where the server should redirect after completion

getGotoUrl(gotoid)
Server can return urls or ids. Ids are the better option, so the server doesn't have to know about urls. Urls can be configured completely in the frontend.
Defined in: yaf4ajn.js.

Parameters:
gotoid

{string} getPageId()
Defined in: yaf4ajn.js.

Returns:
  {string} pageId of pagecontrol or empty-string

{object} getParameter()
Defined in: yaf4ajn.js.

Returns:
  {object} Server parameters for the request.

getReferer()
Get the referer, and use experimental staticOn flag
Defined in: yaf4ajn.js.

getRequestBody(type, scope)
Get the data for the server request.
Defined in: yaf4ajn.js.

Parameters:
{string} type
  - load or send
{string} scope

getRequestBodyParams(type)
Get additional parameters for the server request to control the server.
Defined in: yaf4ajn.js.

Parameters:
{string} type
  - load or send

getRequestData(type)
Defined in: yaf4ajn.js.

Parameters:
{string} type

{array} getScopes()
Defined in: yaf4ajn.js.

Returns:
  {array} array of scopes

{boolean} getServerData(scope)
Creates an Ajax-request to the server, depending on fecPagecontrol values. The server sends data back, that can be processes.
Defined in: yaf4ajn.js.

Parameters:
scope

Returns:
  {boolean} true

getUriControlParams()
Defined in: yaf4ajn.js.

getVspDataFormElements()
Defined in: yaf4ajn.js.

initErrorBox(errCss, clear)
Inits the error layout.
Defined in: yaf4ajn.js.

Parameters:
{string} errCss
  - Css class like error, warning, info
{boolean} clear
  - init and clear existing errors

initErrorList()
Inits the error output.
Defined in: yaf4ajn.js.

initialize(pcString)
Parses the pageControl variable.
Defined in: yaf4ajn.js.

Parameters:
pcString

isValueInArray(arr, value)
Validate if an object is an array and if it contains a given value
Defined in: yaf4ajn.js.

Parameters:
{object} arr
{object} value

processErrorConfig()
Parse a special error baheviour, given by the pageControl. So you can define a special behaviour per page.
Defined in: yaf4ajn.js.

processResponse(type, response)
Processes the response from the server
Defined in: yaf4ajn.js.

Parameters:
{string} type
  - load or send
{object} response
  - server response object

processResponseError(vspData)
Defined in: yaf4ajn.js.

Parameters:
{object} vspData

processResponseTimes(vspData)
Defined in: yaf4ajn.js.

Parameters:
{object} vspData

replaceWerteInDOM(data)
Defined in: yaf4ajn.js.

Parameters:
{object} data

scrollToBottom()
Scroll to bottom if possible.
Defined in: yaf4ajn.js.

scrollToTop()
Scroll to top if possible.
Defined in: yaf4ajn.js.

{boolean} sendServerData()
Creates an Ajax-request to the server, depending on fecPagecontrol values. The server receives data through request data (e.G. form-data).
Defined in: yaf4ajn.js.

Returns:
  {boolean} true

serializeElements(elements, options)
Defined in: yaf4ajn.js.

Parameters:
{object} elements
{object} options

setControl(control, value)
Defined in: yaf4ajn.js.

Parameters:
control
value

setElementValue(element, newValue)
Defined in: yaf4ajn.js.

Parameters:
{object} element
{boolean} newValue

setGotoPage(gotoPage)
Defined in: yaf4ajn.js.

Parameters:
gotoPage

setParameter(key, value)
Additional parameters to control the server (through request).
Defined in: yaf4ajn.js.

Parameters:
key
value

setParamsLoad(val)
Set special parameter for a load request
Defined in: yaf4ajn.js.

Parameters:
val

showContainer()
If a container element is in the page, toggle visibility. This is usefull, when the dom shouldn't be visibility, before the response has arrived.
Defined in: yaf4ajn.js.

showScope(scope, show)
Defined in: yaf4ajn.js.

Parameters:
{object} scope
{boolean} show

showSpinner(scopes, show)
Defined in: yaf4ajn.js.

Parameters:
{object} scopes
{boolean} show

Documentation generated by JsDoc Toolkit 2.1.0 on Mon Mar 09 2009 11:54:48 GMT+0100 (CET)